[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#827136: Cross-compiler packages cannot be build-depended on



On Sun, 2016-06-12 at 20:41 +0100, Ben Hutchings wrote:
> Package: src:gcc-5-cross
> Version: 23
> Severity: normal
> 
> I am looking into making the linux source package cross-buildable in a
> standard way.  This requires replacing a build-dependency of e.g.:
> 
>     gcc-5 [...] 
> 
> with:
> 
>     gcc-5 [...] , gcc-5-alpha-linux-gnu:any [alpha] , ...
> 
> Unfortunately this is still unsatisfiable since the cross-compiler
> packages have 'Multi-Arch: no'.  Please change this to 'Multi-Arch:
> allowed'.

Or maybe even 'Multi-Arch: foreign' - after all, anything depending on
a cross-compiler by name is already specifying which target they want.

Ben.

-- 
Ben Hutchings
The program is absolutely right; therefore, the computer must be wrong.

Attachment: signature.asc
Description: This is a digitally signed message part


Reply to: